> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove an ACS User from an Access Group

> Removes a specified [access system user](https://docs.seam.co/low-level-apis/access-systems/user-management) from a specified [access group](https://docs.seam.co/low-level-apis/access-systems/user-management/assigning-users-to-access-groups).



## OpenAPI

````yaml /openapi.json post /acs/users/remove_from_access_group
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /acs/users/remove_from_access_group:
    post:
      tags:
        - /acs
      summary: Remove an ACS User from an Access Group
      description: >-
        Removes a specified [access system
        user](https://docs.seam.co/low-level-apis/access-systems/user-management)
        from a specified [access
        group](https://docs.seam.co/low-level-apis/access-systems/user-management/assigning-users-to-access-groups).
      operationId: acsUsersRemoveFromAccessGroupPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                acs_access_group_id:
                  description: >-
                    ID of the access group from which you want to remove an
                    access system user.
                  format: uuid
                  type: string
                acs_user_id:
                  description: >-
                    ID of the access system user that you want to remove from an
                    access group. You can only provide acs_user_id or
                    user_identity_id.
                  format: uuid
                  type: string
                user_identity_id:
                  description: >-
                    ID of the user identity that you want to remove from an
                    access group. You can only provide acs_user_id or
                    user_identity_id.
                  format: uuid
                  type: string
              required:
                - acs_access_group_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.acs.users.removeFromAccessGroup({
              user_identity_id: "00ff2781-cce8-4b63-8c65-2b97647d790c",
              acs_access_group_id: "d192f395-4c68-4c33-af41-97a7df5be576",
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/acs/users/remove_from_access_group" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "user_identity_id": "00ff2781-cce8-4b63-8c65-2b97647d790c",
              "acs_access_group_id": "d192f395-4c68-4c33-af41-97a7df5be576"
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.acs.users.remove_from_access_group(
                user_identity_id="00ff2781-cce8-4b63-8c65-2b97647d790c",
                acs_access_group_id="d192f395-4c68-4c33-af41-97a7df5be576",
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.acs.users.remove_from_access_group(
              user_identity_id: "00ff2781-cce8-4b63-8c65-2b97647d790c",
              acs_access_group_id: "d192f395-4c68-4c33-af41-97a7df5be576",
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->acs->users->remove_from_access_group(
                user_identity_id: "00ff2781-cce8-4b63-8c65-2b97647d790c",
                acs_access_group_id: "d192f395-4c68-4c33-af41-97a7df5be576",
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam acs users remove-from-access-group --user_identity_id
            "00ff2781-cce8-4b63-8c65-2b97647d790c" --acs_access_group_id
            "d192f395-4c68-4c33-af41-97a7df5be576"


            # {}
components:
  securitySchemes:
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http

````